# frozen_string_literal: true

require_relative "lib/uid2/version"

Gem::Specification.new do |spec|
  spec.name          = "uid2"
  spec.version       = Uid2::VERSION
  spec.authors       = ["Richard Lee"]
  spec.email         = ["14349+dlackty@users.noreply.github.com"]

  spec.summary       = "Ruby API client for Unified ID 2.0"
  spec.description   = spec.summary
  spec.homepage      = "https://github.com/polydice/uid2"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.7.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = "https://github.com/polydice/uid2/blob/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:spec|features)/}) }
  end
  spec.require_paths = ["lib"]

  spec.add_dependency "faraday", ">= 1"
  spec.add_dependency "faraday_middleware", ">= 1"
  spec.add_dependency "hashie", ">= 4"
  spec.add_dependency "net-http-persistent", ">= 4"
end
